# RegexpEngine

Extends

Contains some shared attributes and methods -- and some abstract methods with engine-specific implementations that sub-classes must override.

author | Hans Lellelid hans@velum.net
package | phing.util.regexp
version | $Id: 080377e722e061a58ba3039adbdb9380000031f7 $

### Methods

## Returns status of ignore case flag.

    getIgnoreCase() : boolean

### Response

`boolean`

## Returns the maximum possible replacements for each pattern.

    getLimit() : integer

### Response

`integer`

## Gets whether regexp is to be applied in multiline mode.

    getMultiline() : boolean

### Response

`boolean`

## Matches pattern against source string and sets the matches array.

    match(string $pattern, string $source, array &$matches) : boolean

### Arguments

#### $pattern

`string`

The regex pattern to match.

#### $source

`string`

The source string.

#### $matches

`array`

The array in which to store matches.

### Response

`boolean`

Success of matching operation.

## Matches all patterns in source string and sets the matches array.

    matchAll(string $pattern, string $source, array &$matches) : boolean

### Arguments

#### $pattern

`string`

The regex pattern to match.

#### $source

`string`

The source string.

#### $matches

`array`

The array in which to store matches.

### Response

`boolean`

Success of matching operation.

## Replaces $pattern with $replace in $source string.

    replace(string $pattern, string $replace, string $source) : string

### Arguments

#### $pattern

`string`

The regex pattern to match.

#### $replace

`string`

The string with which to replace matches.

#### $source

`string`

The source string.

### Response

`string`

The replaced source string.

## Sets whether or not regex operation should ingore case.

    setIgnoreCase(boolean $bit) : void

### Arguments

#### $bit

`boolean`

## Sets the maximum possible replacements for each pattern.

    setLimit(integer $limit)

### Arguments

#### $limit

`integer`

## Sets whether regexp should be applied in multiline mode.

    setMultiline(boolean $bit)

### Arguments

#### $bit

`boolean`